gnutls_certificate_set_openpgp_keyring_mem(3)

NAME
gnutls_certificate_set_openpgp_keyring_mem - Add keyring data for OpenPGP

SYNOPSIS
#include <gnutls/openpgp.h>

int gnutls_certificate_set_openpgp_keyring_mem(gnutls_certificate_credentials_t c, const opaque * data, size_t dlen, gnutls_openpgp_crt_fmt_t format);

ARGUMENTS

gnutls_certificate_credentials_t c
    A certificate credentials structure

const opaque * data
    buffer with keyring data.

size_t dlen
    length of data buffer.

gnutls_openpgp_crt_fmt_t format
    the format of the keyring

DESCRIPTION
The function is used to set keyrings that will be used internally by various OpenPGP functions. For example to find a key when it is needed for an operations. The keyring will also be used at the verification functions.

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.